#include "mozilla/EnumTypeTraits.h"
#include "mozilla/dom/BindingNames.h"

namespace mozilla::dom {

namespace binding_detail {

const char sBindingNames[] = {
  /*     0 */ "ANGLE_instanced_arrays" "\0"
  /*    23 */ "APZHitResultFlags" "\0"
  /*    41 */ "AbortController" "\0"
  /*    57 */ "AbortSignal" "\0"
  /*    69 */ "AbstractRange" "\0"
  /*    83 */ "AccessibleNode" "\0"
  /*    98 */ "Addon" "\0"
  /*   104 */ "AddonEvent" "\0"
  /*   115 */ "AddonInstall" "\0"
  /*   128 */ "AddonManager" "\0"
  /*   141 */ "AddonManagerPermissions" "\0"
  /*   165 */ "AnalyserNode" "\0"
  /*   178 */ "Animation" "\0"
  /*   188 */ "AnimationEffect" "\0"
  /*   204 */ "AnimationEvent" "\0"
  /*   219 */ "AnimationPlaybackEvent" "\0"
  /*   242 */ "AnimationTimeline" "\0"
  /*   260 */ "AnonymousContent" "\0"
  /*   277 */ "Attr" "\0"
  /*   282 */ "Audio" "\0"
  /*   288 */ "AudioBuffer" "\0"
  /*   300 */ "AudioBufferSourceNode" "\0"
  /*   322 */ "AudioContext" "\0"
  /*   335 */ "AudioDestinationNode" "\0"
  /*   356 */ "AudioListener" "\0"
  /*   370 */ "AudioNode" "\0"
  /*   380 */ "AudioParam" "\0"
  /*   391 */ "AudioParamMap" "\0"
  /*   405 */ "AudioProcessingEvent" "\0"
  /*   426 */ "AudioScheduledSourceNode" "\0"
  /*   451 */ "AudioTrack" "\0"
  /*   462 */ "AudioTrackList" "\0"
  /*   477 */ "AudioWorklet" "\0"
  /*   490 */ "AudioWorkletGlobalScope" "\0"
  /*   514 */ "AudioWorkletNode" "\0"
  /*   531 */ "AudioWorkletProcessor" "\0"
  /*   553 */ "AuthenticatorAssertionResponse" "\0"
  /*   584 */ "AuthenticatorAttestationResponse" "\0"
  /*   617 */ "AuthenticatorResponse" "\0"
  /*   639 */ "BarProp" "\0"
  /*   647 */ "BaseAudioContext" "\0"
  /*   664 */ "BatteryManager" "\0"
  /*   679 */ "BeforeUnloadEvent" "\0"
  /*   697 */ "BiquadFilterNode" "\0"
  /*   714 */ "Blob" "\0"
  /*   719 */ "BlobEvent" "\0"
  /*   729 */ "BroadcastChannel" "\0"
  /*   746 */ "BrowsingContext" "\0"
  /*   762 */ "BrowsingContextGroup" "\0"
  /*   783 */ "ByteLengthQueuingStrategy" "\0"
  /*   809 */ "CDATASection" "\0"
  /*   822 */ "CSS" "\0"
  /*   826 */ "CSS2Properties" "\0"
  /*   841 */ "CSSAnimation" "\0"
  /*   854 */ "CSSConditionRule" "\0"
  /*   871 */ "CSSContainerRule" "\0"
  /*   888 */ "CSSCounterStyleRule" "\0"
  /*   908 */ "CSSFontFaceRule" "\0"
  /*   924 */ "CSSFontFeatureValuesRule" "\0"
  /*   949 */ "CSSGroupingRule" "\0"
  /*   965 */ "CSSImportRule" "\0"
  /*   979 */ "CSSKeyframeRule" "\0"
  /*   995 */ "CSSKeyframesRule" "\0"
  /*  1012 */ "CSSLayerBlockRule" "\0"
  /*  1030 */ "CSSLayerStatementRule" "\0"
  /*  1052 */ "CSSMediaRule" "\0"
  /*  1065 */ "CSSMozDocumentRule" "\0"
  /*  1084 */ "CSSNamespaceRule" "\0"
  /*  1101 */ "CSSPageRule" "\0"
  /*  1113 */ "CSSPseudoElement" "\0"
  /*  1130 */ "CSSRule" "\0"
  /*  1138 */ "CSSRuleList" "\0"
  /*  1150 */ "CSSScrollTimelineRule" "\0"
  /*  1172 */ "CSSStyleDeclaration" "\0"
  /*  1192 */ "CSSStyleRule" "\0"
  /*  1205 */ "CSSStyleSheet" "\0"
  /*  1219 */ "CSSSupportsRule" "\0"
  /*  1235 */ "CSSTransition" "\0"
  /*  1249 */ "Cache" "\0"
  /*  1255 */ "CacheStorage" "\0"
  /*  1268 */ "CallbackDebuggerNotification" "\0"
  /*  1297 */ "CanonicalBrowsingContext" "\0"
  /*  1322 */ "CanvasCaptureMediaStream" "\0"
  /*  1347 */ "CanvasGradient" "\0"
  /*  1362 */ "CanvasPattern" "\0"
  /*  1376 */ "CanvasRenderingContext2D" "\0"
  /*  1401 */ "CaretPosition" "\0"
  /*  1415 */ "CaretStateChangedEvent" "\0"
  /*  1438 */ "ChannelMergerNode" "\0"
  /*  1456 */ "ChannelSplitterNode" "\0"
  /*  1476 */ "ChannelWrapper" "\0"
  /*  1491 */ "CharacterData" "\0"
  /*  1505 */ "CheckerboardReportService" "\0"
  /*  1531 */ "ChildProcessMessageManager" "\0"
  /*  1558 */ "ChildSHistory" "\0"
  /*  1572 */ "ChromeMessageBroadcaster" "\0"
  /*  1597 */ "ChromeMessageSender" "\0"
  /*  1617 */ "ChromeNodeList" "\0"
  /*  1632 */ "ChromeUtils" "\0"
  /*  1644 */ "ChromeWorker" "\0"
  /*  1657 */ "Client" "\0"
  /*  1664 */ "Clients" "\0"
  /*  1672 */ "Clipboard" "\0"
  /*  1682 */ "ClipboardEvent" "\0"
  /*  1697 */ "ClipboardItem" "\0"
  /*  1711 */ "ClonedErrorHolder" "\0"
  /*  1729 */ "CloseEvent" "\0"
  /*  1740 */ "CommandEvent" "\0"
  /*  1753 */ "Comment" "\0"
  /*  1761 */ "CompositionEvent" "\0"
  /*  1778 */ "ConsoleInstance" "\0"
  /*  1794 */ "ConstantSourceNode" "\0"
  /*  1813 */ "ContentFrameMessageManager" "\0"
  /*  1840 */ "ContentProcessMessageManager" "\0"
  /*  1869 */ "ConvolverNode" "\0"
  /*  1883 */ "CountQueuingStrategy" "\0"
  /*  1904 */ "CreateOfferRequest" "\0"
  /*  1923 */ "Credential" "\0"
  /*  1934 */ "CredentialsContainer" "\0"
  /*  1955 */ "Crypto" "\0"
  /*  1962 */ "CryptoKey" "\0"
  /*  1972 */ "CustomElementRegistry" "\0"
  /*  1994 */ "CustomEvent" "\0"
  /*  2006 */ "DOMException" "\0"
  /*  2019 */ "DOMImplementation" "\0"
  /*  2037 */ "DOMLocalization" "\0"
  /*  2053 */ "DOMMatrix" "\0"
  /*  2063 */ "DOMMatrixReadOnly" "\0"
  /*  2081 */ "DOMParser" "\0"
  /*  2091 */ "DOMPoint" "\0"
  /*  2100 */ "DOMPointReadOnly" "\0"
  /*  2117 */ "DOMQuad" "\0"
  /*  2125 */ "DOMRect" "\0"
  /*  2133 */ "DOMRectList" "\0"
  /*  2145 */ "DOMRectReadOnly" "\0"
  /*  2161 */ "DOMRequest" "\0"
  /*  2172 */ "DOMStringList" "\0"
  /*  2186 */ "DOMStringMap" "\0"
  /*  2199 */ "DOMTokenList" "\0"
  /*  2212 */ "DataTransfer" "\0"
  /*  2225 */ "DataTransferItem" "\0"
  /*  2242 */ "DataTransferItemList" "\0"
  /*  2263 */ "DebuggerNotification" "\0"
  /*  2284 */ "DebuggerNotificationObserver" "\0"
  /*  2313 */ "DedicatedWorkerGlobalScope" "\0"
  /*  2340 */ "DelayNode" "\0"
  /*  2350 */ "DeprecationReportBody" "\0"
  /*  2372 */ "DeviceAcceleration" "\0"
  /*  2391 */ "DeviceLightEvent" "\0"
  /*  2408 */ "DeviceMotionEvent" "\0"
  /*  2426 */ "DeviceOrientationEvent" "\0"
  /*  2449 */ "DeviceRotationRate" "\0"
  /*  2468 */ "Directory" "\0"
  /*  2478 */ "Document" "\0"
  /*  2487 */ "DocumentFragment" "\0"
  /*  2504 */ "DocumentL10n" "\0"
  /*  2517 */ "DocumentTimeline" "\0"
  /*  2534 */ "DocumentType" "\0"
  /*  2547 */ "DominatorTree" "\0"
  /*  2561 */ "DragEvent" "\0"
  /*  2571 */ "DynamicsCompressorNode" "\0"
  /*  2594 */ "EXT_blend_minmax" "\0"
  /*  2611 */ "EXT_color_buffer_float" "\0"
  /*  2634 */ "EXT_color_buffer_half_float" "\0"
  /*  2662 */ "EXT_disjoint_timer_query" "\0"
  /*  2687 */ "EXT_float_blend" "\0"
  /*  2703 */ "EXT_frag_depth" "\0"
  /*  2718 */ "EXT_sRGB" "\0"
  /*  2727 */ "EXT_shader_texture_lod" "\0"
  /*  2750 */ "EXT_texture_compression_bptc" "\0"
  /*  2779 */ "EXT_texture_compression_rgtc" "\0"
  /*  2808 */ "EXT_texture_filter_anisotropic" "\0"
  /*  2839 */ "EXT_texture_norm16" "\0"
  /*  2858 */ "Element" "\0"
  /*  2866 */ "ElementInternals" "\0"
  /*  2883 */ "ErrorEvent" "\0"
  /*  2894 */ "Event" "\0"
  /*  2900 */ "EventCallbackDebuggerNotification" "\0"
  /*  2934 */ "EventCounts" "\0"
  /*  2946 */ "EventSource" "\0"
  /*  2958 */ "EventTarget" "\0"
  /*  2970 */ "Exception" "\0"
  /*  2980 */ "ExtendableEvent" "\0"
  /*  2996 */ "ExtendableMessageEvent" "\0"
  /*  3019 */ "ExtensionAlarms" "\0"
  /*  3035 */ "ExtensionBrowser" "\0"
  /*  3052 */ "ExtensionEventManager" "\0"
  /*  3074 */ "ExtensionMockAPI" "\0"
  /*  3091 */ "ExtensionPort" "\0"
  /*  3105 */ "ExtensionRuntime" "\0"
  /*  3122 */ "ExtensionTest" "\0"
  /*  3136 */ "External" "\0"
  /*  3145 */ "FeaturePolicy" "\0"
  /*  3159 */ "FeaturePolicyViolationReportBody" "\0"
  /*  3192 */ "FetchEvent" "\0"
  /*  3203 */ "FetchObserver" "\0"
  /*  3217 */ "File" "\0"
  /*  3222 */ "FileList" "\0"
  /*  3231 */ "FileReader" "\0"
  /*  3242 */ "FileReaderSync" "\0"
  /*  3257 */ "FileSystem" "\0"
  /*  3268 */ "FileSystemDirectoryEntry" "\0"
  /*  3293 */ "FileSystemDirectoryHandle" "\0"
  /*  3319 */ "FileSystemDirectoryIterator" "\0"
  /*  3347 */ "FileSystemDirectoryReader" "\0"
  /*  3373 */ "FileSystemEntry" "\0"
  /*  3389 */ "FileSystemFileEntry" "\0"
  /*  3409 */ "FileSystemFileHandle" "\0"
  /*  3430 */ "FileSystemHandle" "\0"
  /*  3447 */ "FileSystemSyncAccessHandle" "\0"
  /*  3474 */ "FileSystemWritableFileStream" "\0"
  /*  3503 */ "Flex" "\0"
  /*  3508 */ "FlexItemValues" "\0"
  /*  3523 */ "FlexLineValues" "\0"
  /*  3538 */ "FluentBundle" "\0"
  /*  3551 */ "FluentBundleAsyncIterator" "\0"
  /*  3577 */ "FluentBundleIterator" "\0"
  /*  3598 */ "FluentPattern" "\0"
  /*  3612 */ "FluentResource" "\0"
  /*  3627 */ "FocusEvent" "\0"
  /*  3638 */ "FontFace" "\0"
  /*  3647 */ "FontFaceSet" "\0"
  /*  3659 */ "FontFaceSetIterator" "\0"
  /*  3679 */ "FontFaceSetLoadEvent" "\0"
  /*  3700 */ "FormData" "\0"
  /*  3709 */ "FormData Iterator" "\0"
  /*  3727 */ "FormDataEvent" "\0"
  /*  3741 */ "FrameCrashedEvent" "\0"
  /*  3759 */ "FrameLoader" "\0"
  /*  3771 */ "GPU" "\0"
  /*  3775 */ "GPUAdapter" "\0"
  /*  3786 */ "GPUBindGroup" "\0"
  /*  3799 */ "GPUBindGroupLayout" "\0"
  /*  3818 */ "GPUBuffer" "\0"
  /*  3828 */ "GPUBufferUsage" "\0"
  /*  3843 */ "GPUCanvasContext" "\0"
  /*  3860 */ "GPUColorWrite" "\0"
  /*  3874 */ "GPUCommandBuffer" "\0"
  /*  3891 */ "GPUCommandEncoder" "\0"
  /*  3909 */ "GPUCompilationInfo" "\0"
  /*  3928 */ "GPUCompilationMessage" "\0"
  /*  3950 */ "GPUComputePassEncoder" "\0"
  /*  3972 */ "GPUComputePipeline" "\0"
  /*  3991 */ "GPUDevice" "\0"
  /*  4001 */ "GPUDeviceLostInfo" "\0"
  /*  4019 */ "GPUMapMode" "\0"
  /*  4030 */ "GPUOutOfMemoryError" "\0"
  /*  4050 */ "GPUPipelineLayout" "\0"
  /*  4068 */ "GPUQuerySet" "\0"
  /*  4080 */ "GPUQueue" "\0"
  /*  4089 */ "GPURenderBundle" "\0"
  /*  4105 */ "GPURenderBundleEncoder" "\0"
  /*  4128 */ "GPURenderPassEncoder" "\0"
  /*  4149 */ "GPURenderPipeline" "\0"
  /*  4167 */ "GPUSampler" "\0"
  /*  4178 */ "GPUShaderModule" "\0"
  /*  4194 */ "GPUShaderStage" "\0"
  /*  4209 */ "GPUSupportedFeatures" "\0"
  /*  4230 */ "GPUSupportedLimits" "\0"
  /*  4249 */ "GPUTexture" "\0"
  /*  4260 */ "GPUTextureUsage" "\0"
  /*  4276 */ "GPUTextureView" "\0"
  /*  4291 */ "GPUUncapturedErrorEvent" "\0"
  /*  4315 */ "GPUValidationError" "\0"
  /*  4334 */ "GainNode" "\0"
  /*  4343 */ "Gamepad" "\0"
  /*  4351 */ "GamepadAxisMoveEvent" "\0"
  /*  4372 */ "GamepadButton" "\0"
  /*  4386 */ "GamepadButtonEvent" "\0"
  /*  4405 */ "GamepadEvent" "\0"
  /*  4418 */ "GamepadHapticActuator" "\0"
  /*  4440 */ "GamepadLightIndicator" "\0"
  /*  4462 */ "GamepadPose" "\0"
  /*  4474 */ "GamepadServiceTest" "\0"
  /*  4493 */ "GamepadTouch" "\0"
  /*  4506 */ "Geolocation" "\0"
  /*  4518 */ "GeolocationCoordinates" "\0"
  /*  4541 */ "GeolocationPosition" "\0"
  /*  4561 */ "GeolocationPositionError" "\0"
  /*  4586 */ "GetUserMediaRequest" "\0"
  /*  4606 */ "GleanCategory" "\0"
  /*  4620 */ "GleanImpl" "\0"
  /*  4630 */ "GleanLabeled" "\0"
  /*  4643 */ "GleanPingsImpl" "\0"
  /*  4658 */ "Grid" "\0"
  /*  4663 */ "GridArea" "\0"
  /*  4672 */ "GridDimension" "\0"
  /*  4686 */ "GridLine" "\0"
  /*  4695 */ "GridLines" "\0"
  /*  4705 */ "GridTrack" "\0"
  /*  4715 */ "GridTracks" "\0"
  /*  4726 */ "HTMLAllCollection" "\0"
  /*  4744 */ "HTMLAnchorElement" "\0"
  /*  4762 */ "HTMLAreaElement" "\0"
  /*  4778 */ "HTMLAudioElement" "\0"
  /*  4795 */ "HTMLBRElement" "\0"
  /*  4809 */ "HTMLBaseElement" "\0"
  /*  4825 */ "HTMLBodyElement" "\0"
  /*  4841 */ "HTMLButtonElement" "\0"
  /*  4859 */ "HTMLCanvasElement" "\0"
  /*  4877 */ "HTMLCollection" "\0"
  /*  4892 */ "HTMLDListElement" "\0"
  /*  4909 */ "HTMLDataElement" "\0"
  /*  4925 */ "HTMLDataListElement" "\0"
  /*  4945 */ "HTMLDetailsElement" "\0"
  /*  4964 */ "HTMLDialogElement" "\0"
  /*  4982 */ "HTMLDirectoryElement" "\0"
  /*  5003 */ "HTMLDivElement" "\0"
  /*  5018 */ "HTMLDocument" "\0"
  /*  5031 */ "HTMLElement" "\0"
  /*  5043 */ "HTMLEmbedElement" "\0"
  /*  5060 */ "HTMLFieldSetElement" "\0"
  /*  5080 */ "HTMLFontElement" "\0"
  /*  5096 */ "HTMLFormControlsCollection" "\0"
  /*  5123 */ "HTMLFormElement" "\0"
  /*  5139 */ "HTMLFrameElement" "\0"
  /*  5156 */ "HTMLFrameSetElement" "\0"
  /*  5176 */ "HTMLHRElement" "\0"
  /*  5190 */ "HTMLHeadElement" "\0"
  /*  5206 */ "HTMLHeadingElement" "\0"
  /*  5225 */ "HTMLHtmlElement" "\0"
  /*  5241 */ "HTMLIFrameElement" "\0"
  /*  5259 */ "HTMLImageElement" "\0"
  /*  5276 */ "HTMLInputElement" "\0"
  /*  5293 */ "HTMLLIElement" "\0"
  /*  5307 */ "HTMLLabelElement" "\0"
  /*  5324 */ "HTMLLegendElement" "\0"
  /*  5342 */ "HTMLLinkElement" "\0"
  /*  5358 */ "HTMLMapElement" "\0"
  /*  5373 */ "HTMLMarqueeElement" "\0"
  /*  5392 */ "HTMLMediaElement" "\0"
  /*  5409 */ "HTMLMenuElement" "\0"
  /*  5425 */ "HTMLMenuItemElement" "\0"
  /*  5445 */ "HTMLMetaElement" "\0"
  /*  5461 */ "HTMLMeterElement" "\0"
  /*  5478 */ "HTMLModElement" "\0"
  /*  5493 */ "HTMLOListElement" "\0"
  /*  5510 */ "HTMLObjectElement" "\0"
  /*  5528 */ "HTMLOptGroupElement" "\0"
  /*  5548 */ "HTMLOptionElement" "\0"
  /*  5566 */ "HTMLOptionsCollection" "\0"
  /*  5588 */ "HTMLOutputElement" "\0"
  /*  5606 */ "HTMLParagraphElement" "\0"
  /*  5627 */ "HTMLParamElement" "\0"
  /*  5644 */ "HTMLPictureElement" "\0"
  /*  5663 */ "HTMLPreElement" "\0"
  /*  5678 */ "HTMLProgressElement" "\0"
  /*  5698 */ "HTMLQuoteElement" "\0"
  /*  5715 */ "HTMLScriptElement" "\0"
  /*  5733 */ "HTMLSelectElement" "\0"
  /*  5751 */ "HTMLSlotElement" "\0"
  /*  5767 */ "HTMLSourceElement" "\0"
  /*  5785 */ "HTMLSpanElement" "\0"
  /*  5801 */ "HTMLStyleElement" "\0"
  /*  5818 */ "HTMLTableCaptionElement" "\0"
  /*  5842 */ "HTMLTableCellElement" "\0"
  /*  5863 */ "HTMLTableColElement" "\0"
  /*  5883 */ "HTMLTableElement" "\0"
  /*  5900 */ "HTMLTableRowElement" "\0"
  /*  5920 */ "HTMLTableSectionElement" "\0"
  /*  5944 */ "HTMLTemplateElement" "\0"
  /*  5964 */ "HTMLTextAreaElement" "\0"
  /*  5984 */ "HTMLTimeElement" "\0"
  /*  6000 */ "HTMLTitleElement" "\0"
  /*  6017 */ "HTMLTrackElement" "\0"
  /*  6034 */ "HTMLUListElement" "\0"
  /*  6051 */ "HTMLUnknownElement" "\0"
  /*  6070 */ "HTMLVideoElement" "\0"
  /*  6087 */ "HashChangeEvent" "\0"
  /*  6103 */ "Headers" "\0"
  /*  6111 */ "Headers Iterator" "\0"
  /*  6128 */ "HeapSnapshot" "\0"
  /*  6141 */ "History" "\0"
  /*  6149 */ "IDBCursor" "\0"
  /*  6159 */ "IDBCursorWithValue" "\0"
  /*  6178 */ "IDBDatabase" "\0"
  /*  6190 */ "IDBFactory" "\0"
  /*  6201 */ "IDBFileHandle" "\0"
  /*  6215 */ "IDBFileRequest" "\0"
  /*  6230 */ "IDBIndex" "\0"
  /*  6239 */ "IDBKeyRange" "\0"
  /*  6251 */ "IDBLocaleAwareKeyRange" "\0"
  /*  6274 */ "IDBMutableFile" "\0"
  /*  6289 */ "IDBObjectStore" "\0"
  /*  6304 */ "IDBOpenDBRequest" "\0"
  /*  6321 */ "IDBRequest" "\0"
  /*  6332 */ "IDBTransaction" "\0"
  /*  6347 */ "IDBVersionChangeEvent" "\0"
  /*  6369 */ "IIRFilterNode" "\0"
  /*  6383 */ "IOUtils" "\0"
  /*  6391 */ "IdleDeadline" "\0"
  /*  6404 */ "Image" "\0"
  /*  6410 */ "ImageBitmap" "\0"
  /*  6422 */ "ImageBitmapRenderingContext" "\0"
  /*  6450 */ "ImageCapture" "\0"
  /*  6463 */ "ImageCaptureError" "\0"
  /*  6481 */ "ImageCaptureErrorEvent" "\0"
  /*  6504 */ "ImageData" "\0"
  /*  6514 */ "ImageDocument" "\0"
  /*  6528 */ "InputEvent" "\0"
  /*  6539 */ "InspectorFontFace" "\0"
  /*  6557 */ "InspectorUtils" "\0"
  /*  6572 */ "InstallTriggerImpl" "\0"
  /*  6591 */ "IntersectionObserver" "\0"
  /*  6612 */ "IntersectionObserverEntry" "\0"
  /*  6638 */ "IntlUtils" "\0"
  /*  6648 */ "JSProcessActorChild" "\0"
  /*  6668 */ "JSProcessActorParent" "\0"
  /*  6689 */ "JSWindowActorChild" "\0"
  /*  6708 */ "JSWindowActorParent" "\0"
  /*  6728 */ "KeyEvent" "\0"
  /*  6737 */ "KeyboardEvent" "\0"
  /*  6751 */ "KeyframeEffect" "\0"
  /*  6766 */ "L10nFileSource" "\0"
  /*  6781 */ "L10nOverlays" "\0"
  /*  6794 */ "L10nRegistry" "\0"
  /*  6807 */ "LegacyMozTCPSocket" "\0"
  /*  6826 */ "Localization" "\0"
  /*  6839 */ "Location" "\0"
  /*  6848 */ "Lock" "\0"
  /*  6853 */ "LockManager" "\0"
  /*  6865 */ "MIDIAccess" "\0"
  /*  6876 */ "MIDIConnectionEvent" "\0"
  /*  6896 */ "MIDIInput" "\0"
  /*  6906 */ "MIDIInputMap" "\0"
  /*  6919 */ "MIDIMessageEvent" "\0"
  /*  6936 */ "MIDIOutput" "\0"
  /*  6947 */ "MIDIOutputMap" "\0"
  /*  6961 */ "MIDIPort" "\0"
  /*  6970 */ "MOZ_debug" "\0"
  /*  6980 */ "MatchGlob" "\0"
  /*  6990 */ "MatchPattern" "\0"
  /*  7003 */ "MatchPatternSet" "\0"
  /*  7019 */ "MathMLElement" "\0"
  /*  7033 */ "MediaCapabilities" "\0"
  /*  7051 */ "MediaCapabilitiesInfo" "\0"
  /*  7073 */ "MediaControlService" "\0"
  /*  7093 */ "MediaController" "\0"
  /*  7109 */ "MediaDeviceInfo" "\0"
  /*  7125 */ "MediaDevices" "\0"
  /*  7138 */ "MediaElementAudioSourceNode" "\0"
  /*  7166 */ "MediaEncryptedEvent" "\0"
  /*  7186 */ "MediaError" "\0"
  /*  7197 */ "MediaKeyError" "\0"
  /*  7211 */ "MediaKeyMessageEvent" "\0"
  /*  7232 */ "MediaKeySession" "\0"
  /*  7248 */ "MediaKeyStatusMap" "\0"
  /*  7266 */ "MediaKeyStatusMap Iterator" "\0"
  /*  7293 */ "MediaKeySystemAccess" "\0"
  /*  7314 */ "MediaKeys" "\0"
  /*  7324 */ "MediaList" "\0"
  /*  7334 */ "MediaMetadata" "\0"
  /*  7348 */ "MediaQueryList" "\0"
  /*  7363 */ "MediaQueryListEvent" "\0"
  /*  7383 */ "MediaRecorder" "\0"
  /*  7397 */ "MediaRecorderErrorEvent" "\0"
  /*  7421 */ "MediaSession" "\0"
  /*  7434 */ "MediaSource" "\0"
  /*  7446 */ "MediaStream" "\0"
  /*  7458 */ "MediaStreamAudioDestinationNode" "\0"
  /*  7490 */ "MediaStreamAudioSourceNode" "\0"
  /*  7517 */ "MediaStreamError" "\0"
  /*  7534 */ "MediaStreamEvent" "\0"
  /*  7551 */ "MediaStreamTrack" "\0"
  /*  7568 */ "MediaStreamTrackAudioSourceNode" "\0"
  /*  7600 */ "MediaStreamTrackEvent" "\0"
  /*  7622 */ "MerchantValidationEvent" "\0"
  /*  7646 */ "MessageBroadcaster" "\0"
  /*  7665 */ "MessageChannel" "\0"
  /*  7680 */ "MessageEvent" "\0"
  /*  7693 */ "MessageListenerManager" "\0"
  /*  7716 */ "MessagePort" "\0"
  /*  7728 */ "MessageSender" "\0"
  /*  7742 */ "MimeType" "\0"
  /*  7751 */ "MimeTypeArray" "\0"
  /*  7765 */ "MouseEvent" "\0"
  /*  7776 */ "MouseScrollEvent" "\0"
  /*  7793 */ "MozCanvasPrintState" "\0"
  /*  7813 */ "MozDocumentMatcher" "\0"
  /*  7832 */ "MozDocumentObserver" "\0"
  /*  7852 */ "MozQueryInterface" "\0"
  /*  7870 */ "MozSharedMap" "\0"
  /*  7883 */ "MozSharedMap Iterator" "\0"
  /*  7905 */ "MozSharedMapChangeEvent" "\0"
  /*  7929 */ "MozStorageAsyncStatementParams" "\0"
  /*  7960 */ "MozStorageStatementParams" "\0"
  /*  7986 */ "MozStorageStatementRow" "\0"
  /*  8009 */ "MozWritableSharedMap" "\0"
  /*  8030 */ "MutationEvent" "\0"
  /*  8044 */ "MutationObserver" "\0"
  /*  8061 */ "MutationRecord" "\0"
  /*  8076 */ "NamedNodeMap" "\0"
  /*  8089 */ "NavigationPreloadManager" "\0"
  /*  8114 */ "Navigator" "\0"
  /*  8124 */ "NetworkInformation" "\0"
  /*  8143 */ "Node" "\0"
  /*  8148 */ "NodeFilter" "\0"
  /*  8159 */ "NodeIterator" "\0"
  /*  8172 */ "NodeList" "\0"
  /*  8181 */ "Notification" "\0"
  /*  8194 */ "NotificationEvent" "\0"
  /*  8212 */ "NotifyPaintEvent" "\0"
  /*  8229 */ "OES_draw_buffers_indexed" "\0"
  /*  8254 */ "OES_element_index_uint" "\0"
  /*  8277 */ "OES_fbo_render_mipmap" "\0"
  /*  8299 */ "OES_standard_derivatives" "\0"
  /*  8324 */ "OES_texture_float" "\0"
  /*  8342 */ "OES_texture_float_linear" "\0"
  /*  8367 */ "OES_texture_half_float" "\0"
  /*  8390 */ "OES_texture_half_float_linear" "\0"
  /*  8420 */ "OES_vertex_array_object" "\0"
  /*  8444 */ "OVR_multiview2" "\0"
  /*  8459 */ "OfflineAudioCompletionEvent" "\0"
  /*  8487 */ "OfflineAudioContext" "\0"
  /*  8507 */ "OfflineResourceList" "\0"
  /*  8527 */ "OffscreenCanvas" "\0"
  /*  8543 */ "OffscreenCanvasRenderingContext2D" "\0"
  /*  8577 */ "OnlyForUseInConstructor" "\0"
  /*  8601 */ "Option" "\0"
  /*  8608 */ "OscillatorNode" "\0"
  /*  8623 */ "PageTransitionEvent" "\0"
  /*  8643 */ "PaintRequest" "\0"
  /*  8656 */ "PaintRequestList" "\0"
  /*  8673 */ "PaintWorkletGlobalScope" "\0"
  /*  8697 */ "PannerNode" "\0"
  /*  8708 */ "ParentProcessMessageManager" "\0"
  /*  8736 */ "Path2D" "\0"
  /*  8743 */ "PathUtils" "\0"
  /*  8753 */ "PaymentAddress" "\0"
  /*  8768 */ "PaymentMethodChangeEvent" "\0"
  /*  8793 */ "PaymentRequest" "\0"
  /*  8808 */ "PaymentRequestUpdateEvent" "\0"
  /*  8834 */ "PaymentResponse" "\0"
  /*  8850 */ "PeerConnectionImpl" "\0"
  /*  8869 */ "PeerConnectionObserver" "\0"
  /*  8892 */ "Performance" "\0"
  /*  8904 */ "PerformanceEntry" "\0"
  /*  8921 */ "PerformanceEntryEvent" "\0"
  /*  8943 */ "PerformanceEventTiming" "\0"
  /*  8966 */ "PerformanceMark" "\0"
  /*  8982 */ "PerformanceMeasure" "\0"
  /*  9001 */ "PerformanceNavigation" "\0"
  /*  9023 */ "PerformanceNavigationTiming" "\0"
  /*  9051 */ "PerformanceObserver" "\0"
  /*  9071 */ "PerformanceObserverEntryList" "\0"
  /*  9100 */ "PerformancePaintTiming" "\0"
  /*  9123 */ "PerformanceResourceTiming" "\0"
  /*  9149 */ "PerformanceServerTiming" "\0"
  /*  9173 */ "PerformanceTiming" "\0"
  /*  9191 */ "PeriodicWave" "\0"
  /*  9204 */ "PermissionStatus" "\0"
  /*  9221 */ "Permissions" "\0"
  /*  9233 */ "PlacesBookmark" "\0"
  /*  9248 */ "PlacesBookmarkAddition" "\0"
  /*  9271 */ "PlacesBookmarkChanged" "\0"
  /*  9293 */ "PlacesBookmarkGuid" "\0"
  /*  9312 */ "PlacesBookmarkMoved" "\0"
  /*  9332 */ "PlacesBookmarkRemoved" "\0"
  /*  9354 */ "PlacesBookmarkTags" "\0"
  /*  9373 */ "PlacesBookmarkTime" "\0"
  /*  9392 */ "PlacesBookmarkTitle" "\0"
  /*  9412 */ "PlacesBookmarkUrl" "\0"
  /*  9430 */ "PlacesEvent" "\0"
  /*  9442 */ "PlacesFavicon" "\0"
  /*  9456 */ "PlacesHistoryCleared" "\0"
  /*  9477 */ "PlacesObservers" "\0"
  /*  9493 */ "PlacesPurgeCaches" "\0"
  /*  9511 */ "PlacesRanking" "\0"
  /*  9525 */ "PlacesVisit" "\0"
  /*  9537 */ "PlacesVisitRemoved" "\0"
  /*  9556 */ "PlacesVisitTitle" "\0"
  /*  9573 */ "PlacesWeakCallbackWrapper" "\0"
  /*  9599 */ "Plugin" "\0"
  /*  9606 */ "PluginArray" "\0"
  /*  9618 */ "PluginCrashedEvent" "\0"
  /*  9637 */ "PointerEvent" "\0"
  /*  9650 */ "PopStateEvent" "\0"
  /*  9664 */ "PopupBlockedEvent" "\0"
  /*  9682 */ "PopupPositionedEvent" "\0"
  /*  9703 */ "PositionStateEvent" "\0"
  /*  9722 */ "PrecompiledScript" "\0"
  /*  9740 */ "PrioEncoder" "\0"
  /*  9752 */ "ProcessMessageManager" "\0"
  /*  9774 */ "ProcessingInstruction" "\0"
  /*  9796 */ "ProgressEvent" "\0"
  /*  9810 */ "PromiseDebugging" "\0"
  /*  9827 */ "PromiseNativeHandler" "\0"
  /*  9848 */ "PromiseRejectionEvent" "\0"
  /*  9870 */ "PublicKeyCredential" "\0"
  /*  9890 */ "PushEvent" "\0"
  /*  9900 */ "PushManager" "\0"
  /*  9912 */ "PushManagerImpl" "\0"
  /*  9928 */ "PushMessageData" "\0"
  /*  9944 */ "PushSubscription" "\0"
  /*  9961 */ "PushSubscriptionOptions" "\0"
  /*  9985 */ "RTCCertificate" "\0"
  /* 10000 */ "RTCDTMFSender" "\0"
  /* 10014 */ "RTCDTMFToneChangeEvent" "\0"
  /* 10037 */ "RTCDataChannel" "\0"
  /* 10052 */ "RTCDataChannelEvent" "\0"
  /* 10072 */ "RTCDtlsTransport" "\0"
  /* 10089 */ "RTCIceCandidate" "\0"
  /* 10105 */ "RTCIdentityProviderRegistrar" "\0"
  /* 10134 */ "RTCPeerConnection" "\0"
  /* 10152 */ "RTCPeerConnectionIceEvent" "\0"
  /* 10178 */ "RTCPeerConnectionStatic" "\0"
  /* 10202 */ "RTCRtpReceiver" "\0"
  /* 10217 */ "RTCRtpSender" "\0"
  /* 10230 */ "RTCRtpTransceiver" "\0"
  /* 10248 */ "RTCSessionDescription" "\0"
  /* 10270 */ "RTCStatsReport" "\0"
  /* 10285 */ "RTCTrackEvent" "\0"
  /* 10299 */ "RadioNodeList" "\0"
  /* 10313 */ "Range" "\0"
  /* 10319 */ "ReadableByteStreamController" "\0"
  /* 10348 */ "ReadableStream" "\0"
  /* 10363 */ "ReadableStreamBYOBReader" "\0"
  /* 10388 */ "ReadableStreamBYOBRequest" "\0"
  /* 10414 */ "ReadableStreamDefaultController" "\0"
  /* 10446 */ "ReadableStreamDefaultReader" "\0"
  /* 10474 */ "Report" "\0"
  /* 10481 */ "ReportBody" "\0"
  /* 10492 */ "ReportingObserver" "\0"
  /* 10510 */ "Request" "\0"
  /* 10518 */ "ResizeObserver" "\0"
  /* 10533 */ "ResizeObserverEntry" "\0"
  /* 10553 */ "ResizeObserverSize" "\0"
  /* 10572 */ "Response" "\0"
  /* 10581 */ "SVGAElement" "\0"
  /* 10593 */ "SVGAngle" "\0"
  /* 10602 */ "SVGAnimateElement" "\0"
  /* 10620 */ "SVGAnimateMotionElement" "\0"
  /* 10644 */ "SVGAnimateTransformElement" "\0"
  /* 10671 */ "SVGAnimatedAngle" "\0"
  /* 10688 */ "SVGAnimatedBoolean" "\0"
  /* 10707 */ "SVGAnimatedEnumeration" "\0"
  /* 10730 */ "SVGAnimatedInteger" "\0"
  /* 10749 */ "SVGAnimatedLength" "\0"
  /* 10767 */ "SVGAnimatedLengthList" "\0"
  /* 10789 */ "SVGAnimatedNumber" "\0"
  /* 10807 */ "SVGAnimatedNumberList" "\0"
  /* 10829 */ "SVGAnimatedPreserveAspectRatio" "\0"
  /* 10860 */ "SVGAnimatedRect" "\0"
  /* 10876 */ "SVGAnimatedString" "\0"
  /* 10894 */ "SVGAnimatedTransformList" "\0"
  /* 10919 */ "SVGAnimationElement" "\0"
  /* 10939 */ "SVGCircleElement" "\0"
  /* 10956 */ "SVGClipPathElement" "\0"
  /* 10975 */ "SVGComponentTransferFunctionElement" "\0"
  /* 11011 */ "SVGDefsElement" "\0"
  /* 11026 */ "SVGDescElement" "\0"
  /* 11041 */ "SVGElement" "\0"
  /* 11052 */ "SVGEllipseElement" "\0"
  /* 11070 */ "SVGFEBlendElement" "\0"
  /* 11088 */ "SVGFEColorMatrixElement" "\0"
  /* 11112 */ "SVGFEComponentTransferElement" "\0"
  /* 11142 */ "SVGFECompositeElement" "\0"
  /* 11164 */ "SVGFEConvolveMatrixElement" "\0"
  /* 11191 */ "SVGFEDiffuseLightingElement" "\0"
  /* 11219 */ "SVGFEDisplacementMapElement" "\0"
  /* 11247 */ "SVGFEDistantLightElement" "\0"
  /* 11272 */ "SVGFEDropShadowElement" "\0"
  /* 11295 */ "SVGFEFloodElement" "\0"
  /* 11313 */ "SVGFEFuncAElement" "\0"
  /* 11331 */ "SVGFEFuncBElement" "\0"
  /* 11349 */ "SVGFEFuncGElement" "\0"
  /* 11367 */ "SVGFEFuncRElement" "\0"
  /* 11385 */ "SVGFEGaussianBlurElement" "\0"
  /* 11410 */ "SVGFEImageElement" "\0"
  /* 11428 */ "SVGFEMergeElement" "\0"
  /* 11446 */ "SVGFEMergeNodeElement" "\0"
  /* 11468 */ "SVGFEMorphologyElement" "\0"
  /* 11491 */ "SVGFEOffsetElement" "\0"
  /* 11510 */ "SVGFEPointLightElement" "\0"
  /* 11533 */ "SVGFESpecularLightingElement" "\0"
  /* 11562 */ "SVGFESpotLightElement" "\0"
  /* 11584 */ "SVGFETileElement" "\0"
  /* 11601 */ "SVGFETurbulenceElement" "\0"
  /* 11624 */ "SVGFilterElement" "\0"
  /* 11641 */ "SVGForeignObjectElement" "\0"
  /* 11665 */ "SVGGElement" "\0"
  /* 11677 */ "SVGGeometryElement" "\0"
  /* 11696 */ "SVGGradientElement" "\0"
  /* 11715 */ "SVGGraphicsElement" "\0"
  /* 11734 */ "SVGImageElement" "\0"
  /* 11750 */ "SVGLength" "\0"
  /* 11760 */ "SVGLengthList" "\0"
  /* 11774 */ "SVGLineElement" "\0"
  /* 11789 */ "SVGLinearGradientElement" "\0"
  /* 11814 */ "SVGMPathElement" "\0"
  /* 11830 */ "SVGMarkerElement" "\0"
  /* 11847 */ "SVGMaskElement" "\0"
  /* 11862 */ "SVGMatrix" "\0"
  /* 11872 */ "SVGMetadataElement" "\0"
  /* 11891 */ "SVGNumber" "\0"
  /* 11901 */ "SVGNumberList" "\0"
  /* 11915 */ "SVGPathElement" "\0"
  /* 11930 */ "SVGPathSeg" "\0"
  /* 11941 */ "SVGPathSegArcAbs" "\0"
  /* 11958 */ "SVGPathSegArcRel" "\0"
  /* 11975 */ "SVGPathSegClosePath" "\0"
  /* 11995 */ "SVGPathSegCurvetoCubicAbs" "\0"
  /* 12021 */ "SVGPathSegCurvetoCubicRel" "\0"
  /* 12047 */ "SVGPathSegCurvetoCubicSmoothAbs" "\0"
  /* 12079 */ "SVGPathSegCurvetoCubicSmoothRel" "\0"
  /* 12111 */ "SVGPathSegCurvetoQuadraticAbs" "\0"
  /* 12141 */ "SVGPathSegCurvetoQuadraticRel" "\0"
  /* 12171 */ "SVGPathSegCurvetoQuadraticSmoothAbs" "\0"
  /* 12207 */ "SVGPathSegCurvetoQuadraticSmoothRel" "\0"
  /* 12243 */ "SVGPathSegLinetoAbs" "\0"
  /* 12263 */ "SVGPathSegLinetoHorizontalAbs" "\0"
  /* 12293 */ "SVGPathSegLinetoHorizontalRel" "\0"
  /* 12323 */ "SVGPathSegLinetoRel" "\0"
  /* 12343 */ "SVGPathSegLinetoVerticalAbs" "\0"
  /* 12371 */ "SVGPathSegLinetoVerticalRel" "\0"
  /* 12399 */ "SVGPathSegList" "\0"
  /* 12414 */ "SVGPathSegMovetoAbs" "\0"
  /* 12434 */ "SVGPathSegMovetoRel" "\0"
  /* 12454 */ "SVGPatternElement" "\0"
  /* 12472 */ "SVGPoint" "\0"
  /* 12481 */ "SVGPointList" "\0"
  /* 12494 */ "SVGPolygonElement" "\0"
  /* 12512 */ "SVGPolylineElement" "\0"
  /* 12531 */ "SVGPreserveAspectRatio" "\0"
  /* 12554 */ "SVGRadialGradientElement" "\0"
  /* 12579 */ "SVGRect" "\0"
  /* 12587 */ "SVGRectElement" "\0"
  /* 12602 */ "SVGSVGElement" "\0"
  /* 12616 */ "SVGScriptElement" "\0"
  /* 12633 */ "SVGSetElement" "\0"
  /* 12647 */ "SVGStopElement" "\0"
  /* 12662 */ "SVGStringList" "\0"
  /* 12676 */ "SVGStyleElement" "\0"
  /* 12692 */ "SVGSwitchElement" "\0"
  /* 12709 */ "SVGSymbolElement" "\0"
  /* 12726 */ "SVGTSpanElement" "\0"
  /* 12742 */ "SVGTextContentElement" "\0"
  /* 12764 */ "SVGTextElement" "\0"
  /* 12779 */ "SVGTextPathElement" "\0"
  /* 12798 */ "SVGTextPositioningElement" "\0"
  /* 12824 */ "SVGTitleElement" "\0"
  /* 12840 */ "SVGTransform" "\0"
  /* 12853 */ "SVGTransformList" "\0"
  /* 12870 */ "SVGUnitTypes" "\0"
  /* 12883 */ "SVGUseElement" "\0"
  /* 12897 */ "SVGViewElement" "\0"
  /* 12912 */ "Sanitizer" "\0"
  /* 12922 */ "Scheduler" "\0"
  /* 12932 */ "Screen" "\0"
  /* 12939 */ "ScreenLuminance" "\0"
  /* 12955 */ "ScreenOrientation" "\0"
  /* 12973 */ "ScriptProcessorNode" "\0"
  /* 12993 */ "ScrollAreaEvent" "\0"
  /* 13009 */ "ScrollViewChangeEvent" "\0"
  /* 13031 */ "SecurityPolicyViolationEvent" "\0"
  /* 13060 */ "Selection" "\0"
  /* 13070 */ "ServiceWorker" "\0"
  /* 13084 */ "ServiceWorkerContainer" "\0"
  /* 13107 */ "ServiceWorkerGlobalScope" "\0"
  /* 13132 */ "ServiceWorkerRegistration" "\0"
  /* 13158 */ "SessionStoreFormData" "\0"
  /* 13179 */ "SessionStoreScrollData" "\0"
  /* 13202 */ "SessionStoreUtils" "\0"
  /* 13220 */ "ShadowRoot" "\0"
  /* 13231 */ "SharedWorker" "\0"
  /* 13244 */ "SharedWorkerGlobalScope" "\0"
  /* 13268 */ "SimpleGestureEvent" "\0"
  /* 13287 */ "SourceBuffer" "\0"
  /* 13300 */ "SourceBufferList" "\0"
  /* 13317 */ "SpeechGrammar" "\0"
  /* 13331 */ "SpeechGrammarList" "\0"
  /* 13349 */ "SpeechRecognition" "\0"
  /* 13367 */ "SpeechRecognitionAlternative" "\0"
  /* 13396 */ "SpeechRecognitionError" "\0"
  /* 13419 */ "SpeechRecognitionEvent" "\0"
  /* 13442 */ "SpeechRecognitionResult" "\0"
  /* 13466 */ "SpeechRecognitionResultList" "\0"
  /* 13494 */ "SpeechSynthesis" "\0"
  /* 13510 */ "SpeechSynthesisErrorEvent" "\0"
  /* 13536 */ "SpeechSynthesisEvent" "\0"
  /* 13557 */ "SpeechSynthesisUtterance" "\0"
  /* 13582 */ "SpeechSynthesisVoice" "\0"
  /* 13603 */ "StaticRange" "\0"
  /* 13615 */ "StereoPannerNode" "\0"
  /* 13632 */ "Storage" "\0"
  /* 13640 */ "StorageEvent" "\0"
  /* 13653 */ "StorageManager" "\0"
  /* 13668 */ "StreamFilter" "\0"
  /* 13681 */ "StreamFilterDataEvent" "\0"
  /* 13703 */ "StructuredCloneHolder" "\0"
  /* 13725 */ "StructuredCloneTester" "\0"
  /* 13747 */ "StyleSheet" "\0"
  /* 13758 */ "StyleSheetApplicableStateChangeEvent" "\0"
  /* 13795 */ "StyleSheetList" "\0"
  /* 13810 */ "SubmitEvent" "\0"
  /* 13822 */ "SubtleCrypto" "\0"
  /* 13835 */ "SyncMessageSender" "\0"
  /* 13853 */ "SyncReadFile" "\0"
  /* 13866 */ "TCPServerSocket" "\0"
  /* 13882 */ "TCPServerSocketEvent" "\0"
  /* 13903 */ "TCPSocket" "\0"
  /* 13913 */ "TCPSocketErrorEvent" "\0"
  /* 13933 */ "TCPSocketEvent" "\0"
  /* 13948 */ "TaskController" "\0"
  /* 13963 */ "TaskPriorityChangeEvent" "\0"
  /* 13987 */ "TaskSignal" "\0"
  /* 13998 */ "TelemetryStopwatch" "\0"
  /* 14017 */ "TestAttributesOnTypes" "\0"
  /* 14039 */ "TestCEReactionsInterface" "\0"
  /* 14064 */ "TestCImplementedInterface" "\0"
  /* 14090 */ "TestCImplementedInterface2" "\0"
  /* 14117 */ "TestChildInterface" "\0"
  /* 14136 */ "TestConstructorForFuncInterface" "\0"
  /* 14168 */ "TestConstructorForPrefInterface" "\0"
  /* 14200 */ "TestConstructorForSCInterface" "\0"
  /* 14230 */ "TestCppKeywordNamedMethodsInterface" "\0"
  /* 14266 */ "TestDeprecatedInterface" "\0"
  /* 14290 */ "TestExampleInterface" "\0"
  /* 14311 */ "TestExampleProxyInterface" "\0"
  /* 14337 */ "TestExampleThrowingConstructorInterface" "\0"
  /* 14377 */ "TestExampleWorkerInterface" "\0"
  /* 14404 */ "TestFuncConstructorForDifferentFuncInterface" "\0"
  /* 14449 */ "TestFuncConstructorForInterface" "\0"
  /* 14481 */ "TestHTMLConstructorInterface" "\0"
  /* 14510 */ "TestIndexedAndNamedGetterAndSetterInterface" "\0"
  /* 14554 */ "TestIndexedAndNamedGetterInterface" "\0"
  /* 14589 */ "TestIndexedAndNamedSetterInterface" "\0"
  /* 14624 */ "TestIndexedGetterAndSetterAndNamedGetterInterface" "\0"
  /* 14674 */ "TestIndexedGetterInterface" "\0"
  /* 14701 */ "TestIndexedSetterInterface" "\0"
  /* 14728 */ "TestInterface" "\0"
  /* 14742 */ "TestInterfaceWithPromiseConstructorArg" "\0"
  /* 14781 */ "TestJSImplInterface" "\0"
  /* 14801 */ "TestJSImplInterface2" "\0"
  /* 14822 */ "TestJSImplInterface3" "\0"
  /* 14843 */ "TestJSImplInterface4" "\0"
  /* 14864 */ "TestJSImplInterface5" "\0"
  /* 14885 */ "TestJSImplInterface6" "\0"
  /* 14906 */ "TestJSImplNoInterfaceObject" "\0"
  /* 14934 */ "TestNamedDeleterInterface" "\0"
  /* 14960 */ "TestNamedDeleterWithRetvalInterface" "\0"
  /* 14996 */ "TestNamedGetterInterface" "\0"
  /* 15021 */ "TestNamedSetterInterface" "\0"
  /* 15046 */ "TestNamespace" "\0"
  /* 15060 */ "TestNonWrapperCacheInterface" "\0"
  /* 15089 */ "TestParentInterface" "\0"
  /* 15109 */ "TestPrefChromeOnlySCFuncConstructorForInterface" "\0"
  /* 15157 */ "TestPrefConstructorForDifferentPrefInterface" "\0"
  /* 15202 */ "TestPrefConstructorForInterface" "\0"
  /* 15234 */ "TestProtoObjectHackedNamespace" "\0"
  /* 15265 */ "TestRenamedInterface" "\0"
  /* 15286 */ "TestRenamedNamespace" "\0"
  /* 15307 */ "TestSCConstructorForInterface" "\0"
  /* 15337 */ "TestSecureContextInterface" "\0"
  /* 15364 */ "TestThrowingConstructorInterface" "\0"
  /* 15397 */ "TestUtils" "\0"
  /* 15407 */ "TestWorkerExposedInterface" "\0"
  /* 15434 */ "TestingDeprecatedInterface" "\0"
  /* 15461 */ "Text" "\0"
  /* 15466 */ "TextClause" "\0"
  /* 15477 */ "TextDecoder" "\0"
  /* 15489 */ "TextEncoder" "\0"
  /* 15501 */ "TextMetrics" "\0"
  /* 15513 */ "TextTrack" "\0"
  /* 15523 */ "TextTrackCue" "\0"
  /* 15536 */ "TextTrackCueList" "\0"
  /* 15553 */ "TextTrackList" "\0"
  /* 15567 */ "TimeEvent" "\0"
  /* 15577 */ "TimeRanges" "\0"
  /* 15588 */ "Touch" "\0"
  /* 15594 */ "TouchEvent" "\0"
  /* 15605 */ "TouchList" "\0"
  /* 15615 */ "TrackEvent" "\0"
  /* 15626 */ "TransformStream" "\0"
  /* 15642 */ "TransformStreamDefaultController" "\0"
  /* 15675 */ "TransitionEvent" "\0"
  /* 15691 */ "TreeColumn" "\0"
  /* 15702 */ "TreeColumns" "\0"
  /* 15714 */ "TreeContentView" "\0"
  /* 15730 */ "TreeWalker" "\0"
  /* 15741 */ "U2F" "\0"
  /* 15745 */ "UDPMessageEvent" "\0"
  /* 15761 */ "UDPSocket" "\0"
  /* 15771 */ "UIEvent" "\0"
  /* 15779 */ "URL" "\0"
  /* 15783 */ "URLSearchParams" "\0"
  /* 15799 */ "URLSearchParams Iterator" "\0"
  /* 15824 */ "UserInteraction" "\0"
  /* 15840 */ "UserProximityEvent" "\0"
  /* 15859 */ "VRDisplay" "\0"
  /* 15869 */ "VRDisplayCapabilities" "\0"
  /* 15891 */ "VRDisplayEvent" "\0"
  /* 15906 */ "VREyeParameters" "\0"
  /* 15922 */ "VRFieldOfView" "\0"
  /* 15936 */ "VRFrameData" "\0"
  /* 15948 */ "VRMockController" "\0"
  /* 15965 */ "VRMockDisplay" "\0"
  /* 15979 */ "VRPose" "\0"
  /* 15986 */ "VRServiceTest" "\0"
  /* 16000 */ "VRStageParameters" "\0"
  /* 16018 */ "VTTCue" "\0"
  /* 16025 */ "VTTRegion" "\0"
  /* 16035 */ "ValidityState" "\0"
  /* 16049 */ "VideoPlaybackQuality" "\0"
  /* 16070 */ "VideoTrack" "\0"
  /* 16081 */ "VideoTrackList" "\0"
  /* 16096 */ "VisualViewport" "\0"
  /* 16111 */ "WEBGL_color_buffer_float" "\0"
  /* 16136 */ "WEBGL_compressed_texture_astc" "\0"
  /* 16166 */ "WEBGL_compressed_texture_etc" "\0"
  /* 16195 */ "WEBGL_compressed_texture_etc1" "\0"
  /* 16225 */ "WEBGL_compressed_texture_pvrtc" "\0"
  /* 16256 */ "WEBGL_compressed_texture_s3tc" "\0"
  /* 16286 */ "WEBGL_compressed_texture_s3tc_srgb" "\0"
  /* 16321 */ "WEBGL_debug_renderer_info" "\0"
  /* 16347 */ "WEBGL_debug_shaders" "\0"
  /* 16367 */ "WEBGL_depth_texture" "\0"
  /* 16387 */ "WEBGL_draw_buffers" "\0"
  /* 16406 */ "WEBGL_explicit_present" "\0"
  /* 16429 */ "WEBGL_lose_context" "\0"
  /* 16448 */ "WaveShaperNode" "\0"
  /* 16463 */ "WebExtensionContentScript" "\0"
  /* 16489 */ "WebExtensionPolicy" "\0"
  /* 16508 */ "WebGL2RenderingContext" "\0"
  /* 16531 */ "WebGLActiveInfo" "\0"
  /* 16547 */ "WebGLBuffer" "\0"
  /* 16559 */ "WebGLContextEvent" "\0"
  /* 16577 */ "WebGLFramebuffer" "\0"
  /* 16594 */ "WebGLProgram" "\0"
  /* 16607 */ "WebGLQuery" "\0"
  /* 16618 */ "WebGLRenderbuffer" "\0"
  /* 16636 */ "WebGLRenderingContext" "\0"
  /* 16658 */ "WebGLSampler" "\0"
  /* 16671 */ "WebGLShader" "\0"
  /* 16683 */ "WebGLShaderPrecisionFormat" "\0"
  /* 16710 */ "WebGLSync" "\0"
  /* 16720 */ "WebGLTexture" "\0"
  /* 16733 */ "WebGLTransformFeedback" "\0"
  /* 16756 */ "WebGLUniformLocation" "\0"
  /* 16777 */ "WebGLVertexArrayObject" "\0"
  /* 16800 */ "WebKitCSSMatrix" "\0"
  /* 16816 */ "WebSocket" "\0"
  /* 16826 */ "WebrtcGlobalInformation" "\0"
  /* 16850 */ "WheelEvent" "\0"
  /* 16861 */ "Window" "\0"
  /* 16868 */ "WindowClient" "\0"
  /* 16881 */ "WindowContext" "\0"
  /* 16895 */ "WindowGlobalChild" "\0"
  /* 16913 */ "WindowGlobalParent" "\0"
  /* 16932 */ "WindowRoot" "\0"
  /* 16943 */ "Worker" "\0"
  /* 16950 */ "WorkerDebuggerGlobalScope" "\0"
  /* 16976 */ "WorkerGlobalScope" "\0"
  /* 16994 */ "WorkerLocation" "\0"
  /* 17009 */ "WorkerNavigator" "\0"
  /* 17025 */ "WorkerTestUtils" "\0"
  /* 17041 */ "Worklet" "\0"
  /* 17049 */ "WorkletGlobalScope" "\0"
  /* 17068 */ "WritableStream" "\0"
  /* 17083 */ "WritableStreamDefaultController" "\0"
  /* 17115 */ "WritableStreamDefaultWriter" "\0"
  /* 17143 */ "XMLDocument" "\0"
  /* 17155 */ "XMLHttpRequest" "\0"
  /* 17170 */ "XMLHttpRequestEventTarget" "\0"
  /* 17196 */ "XMLHttpRequestUpload" "\0"
  /* 17217 */ "XMLSerializer" "\0"
  /* 17231 */ "XPathEvaluator" "\0"
  /* 17246 */ "XPathExpression" "\0"
  /* 17262 */ "XPathResult" "\0"
  /* 17274 */ "XRBoundedReferenceSpace" "\0"
  /* 17298 */ "XRFrame" "\0"
  /* 17306 */ "XRInputSource" "\0"
  /* 17320 */ "XRInputSourceArray" "\0"
  /* 17339 */ "XRInputSourceEvent" "\0"
  /* 17358 */ "XRInputSourcesChangeEvent" "\0"
  /* 17384 */ "XRPose" "\0"
  /* 17391 */ "XRReferenceSpace" "\0"
  /* 17408 */ "XRReferenceSpaceEvent" "\0"
  /* 17430 */ "XRRenderState" "\0"
  /* 17444 */ "XRRigidTransform" "\0"
  /* 17461 */ "XRSession" "\0"
  /* 17471 */ "XRSessionEvent" "\0"
  /* 17486 */ "XRSpace" "\0"
  /* 17494 */ "XRSystem" "\0"
  /* 17503 */ "XRView" "\0"
  /* 17510 */ "XRViewerPose" "\0"
  /* 17523 */ "XRViewport" "\0"
  /* 17534 */ "XRWebGLLayer" "\0"
  /* 17547 */ "XSLTProcessor" "\0"
  /* 17561 */ "XULCommandEvent" "\0"
  /* 17577 */ "XULElement" "\0"
  /* 17588 */ "XULFrameElement" "\0"
  /* 17604 */ "XULMenuElement" "\0"
  /* 17619 */ "XULPopupElement" "\0"
  /* 17635 */ "XULTextElement" "\0"
  /* 17650 */ "XULTreeElement" "\0"
  /* 17665 */ "console" "\0"
  /* 17673 */ "mozRTCIceCandidate" "\0"
  /* 17692 */ "mozRTCPeerConnection" "\0"
  /* 17713 */ "mozRTCSessionDescription" "\0"
  /* 17738 */ "webkitSpeechGrammar" "\0"
  /* 17758 */ "webkitSpeechGrammarList" "\0"
  /* 17782 */ "webkitSpeechRecognition" "\0"
  /* 17806 */ "webkitURL"
};

}  // namespace binding_detail

// Making this enum bigger than a uint16_t has consequences on the size
// of some structs (eg. WebIDLNameTableEntry) and tables. We should try
// to avoid that.
static_assert(EnumTypeFitsWithin<BindingNamesOffset, uint16_t>::value,
              "Size increase");

} // namespace mozilla::dom

